org.apache.poi.sl.usermodel

## Interface GroupShape<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>

- All Superinterfaces:
    java.lang.Iterable<S>, PlaceableShape<S,P>, Shape<S,P>, ShapeContainer<S,P>
  All Known Implementing Classes:
    HSLFGroupShape, HSLFTable, XSLFGroupShape

      public interface GroupShape<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>
      extends Shape<S,P>, ShapeContainer<S,P>, PlaceableShape<S,P>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getInteriorAnchor()` Gets the coordinate space of this group.
    `void` | `setInteriorAnchor(java.awt.geom.Rectangle2D anchor)` Sets the coordinate space of this group.

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getAnchor, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getAnchor, getFlipHorizontal, getFlipVertical, getParent, getRotation, getSheet, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

- - ### Method Detail

    - #### getInteriorAnchor

          java.awt.geom.Rectangle2D getInteriorAnchor()

      Gets the coordinate space of this group. All children are constrained to these coordinates.
      Returns:
        the coordinate space of this group

    - #### setInteriorAnchor

          void setInteriorAnchor(java.awt.geom.Rectangle2D anchor)

      Sets the coordinate space of this group. All children are constrained to these coordinates.
      Parameters:
        `anchor` - the coordinate space of this group

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.